# Tor

# <i class="fa fa-user-secret" aria-hidden="true"></i>


## Tor

* **T**he **O**nion **R**outer** **


## Tor (The Onion Router)
* mis au point par l'armée américaine au milieu des années 90
  * le code est ouvert en 2004
  * sponsorisé par l'[EFF](https://www.eff.org/fr)
  * N'anonymise pas complètement mais réduit fortement la probabilité d'identifier un utilisateur
    * évite notamment le tracking


Tor does not prevent an online service from determining when it is being accessed through Tor.
Tor protects a user's privacy, but does not hide the fact someone uses Tor.


## Darknet

* chiffrement & anonymisation
  * network overlay & mix network

* Tor est "un" [darknet](https://fr.wikipedia.org/wiki/Darknet) parmi d'autres
  * [Freenet](https://fr.wikipedia.org/wiki/Freenet), [I2P](https://fr.wikipedia.org/wiki/I2P), [GNUnet](https://fr.wikipedia.org/wiki/GNUnet), [RetroShare](https://fr.wikipedia.org/wiki/RetroShare), [ZeroNet](https://fr.wikipedia.org/wiki/ZeroNet)


## Darkweb

* "Le" [darkweb](https://fr.wikipedia.org/wiki/Dark_web) est un des services du darknet [Tor](https://fr.wikipedia.org/wiki/Tor_(r%C3%A9seau))
   * permet d'**anonymiser le traffic sur le web de surface**
   * permet d'**accéder aux services Tor (.onion)**


Some websites restrict allowances through Tor.
* [l'extension TorBlock de MediaWiki](https://www.mediawiki.org/wiki/Extension:TorBlock)
* [Google]


## ++

* internaute en quête d'anonymat (regis pub / état)
* media The Guardian, The New Yorker, ProPublica
* dissidence politique
  * [Great Firewall of China](https://en.wikipedia.org/wiki/Great_Firewall)
* whistle blower wikileaks
* activisme
* informations / livres censurés
* Mail
* forum
* chat


## --

* extrémisme
* (pédo) pornographie
* market
  * armes
  * drugs
  * virus
  * leak
  * carte de crédit
  * identité
* crime organisé


https://metrics.torproject.org/


## Tor Browser

* [Firefox ESR(Extended Support Release)](https://www.mozilla.org/en-US/firefox/organizations/)
  * Firefox extensions
    * TorButton
    * TorLauncher
    * NoScript
    * HTTPS Everywhere
  * Tor proxy
* version portable

* [cross platform](https://www.torproject.org/projects/torbrowser.html.en) :fa-linux: :fa-windows: :fa-apple:
* mobile [:fa-android:](https://play.google.com/store/apps/details?id=org.torproject.android&hl=fr) [:fa-apple:](https://itunes.apple.com/fr/app/onion-browser-secure-anonymous/id519296448?mt=8&ign-mpt=uo%3D4) [Sailfish OS](https://openrepos.net/content/nieldk/tor)

* [Outbound Ports](https://www.torproject.org/docs/faq.html.en#OutboundPorts) 80, 443, 9001, 9030,
  * [option "FascistFirewall 1"](https://www.torproject.org/docs/faq.html.en#FirewallPorts) dans le dichier de configuration [torrc](https://www.torproject.org/docs/faq.html.en#torrc)


### :fa-exclamation-circle: quelle confiance avez vous en votre OS?


![How tor works](https://i.stack.imgur.com/XhXQa.png)

* seul le premier noeud connait alice
  * il ne connait pas bob
* seul le dernier noeud connait bob
  * il ne connait pas alice
  	* il voit le contenu de la requête


Le noeud d’entrée
   Noeud Gardien
   Bridge
Le noeud intermédiaire
Le noeud de sortie

protège toujours le client
* pas le serveur sur le web de surface  
  * correspondance DNS / IP
* les hidden services ou "services caché" sont stockés dans Tor
  * donc protégés
  * ne sortent pas de Tor

---
## Tor / HTTPS

![Tor avec HTTPS](https://cloud.m4z3.me/index.php/s/rywwyShzrwgLbrA/download)

---

## [Tor côté serveur](https://benjamin.sonntag.fr/Tor-les-onion-le-darknet-a-votre-portee)

* système d'adressage basé sur des clés de chiffrement RSA
	* protège l'IP du serveur
    	* [quoique](https://donncha.is/2013/05/trawling-tor-hidden-services/)
* [installer un service en .onion](https://benjamin.sonntag.fr/Tor-les-onion-le-darknet-a-votre-portee)

* [héberger des noeuds Tor](https://www.torproject.org/docs/tor-doc-relay.html.en) peut être [une bonne idée](http://www.zdnet.fr/blogs/50-nuances-d-internet/le-darkweb-est-il-en-voie-de-disparition-39859066.htm)!
	* [Tor relays map](https://torflow.uncharted.software)

---

## Trouver des .onion

* pas de "Google"
* [TheHiddenWiki](https://thehiddenwiki.org/)s
* [reddit](https://www.reddit.com/r/TOR/)
* [wikileaks](http://wikilw7ayqhjl6zr.onion/)
* [facebook](facebookcorewwwi.onion)
* [new york time](https://open.nytimes.com/https-open-nytimes-com-the-new-york-times-as-a-tor-onion-service-e0d0b67b7482)
* [USFakeIDs](http://en35tuzqmn4lofbk.onion/)
* [Deep Web Radio](http://76qugh5bey5gum7l.onion/)


https://haveibeenpwned.com/

#### toujours consolider les hash onions
  :fa-exclamation-circle: surtout pour les darkmarkets

## Tails en VM

vm et version de la clé synchrones

## Tor monter son relais

* https://github.com/katmagic/arm

* https://tox.chat/
